Datagrip MySQl: SSL fails with MySQL connector 5.1.44 and 5.1.45

Answered

MySQL Connector versions 5.1.44 and 5.1.45 cannot be used to connect with database when SSL is used. while it works perfectly when i roll back to version 5.1.40. please address this bug in quickest possible time. thank you.

1
3 comments

@ Deoresuyog  Hi,
Make sure that MySQL server's SSL certificate and the Certificate Authority (CA) that issued it are not expired.
Oracle changed SSL validation in MySQL Connector/J since version 5.1.42 https://dev.mysql.com/doc/relnotes/connector-j/5.1/en/news-5-1-42.html

0

Thanks for the reply.

 SSL certificates are all fine. using MySQL workbench everything seems to work okay. 

Problem most probably is with DATAGRIP.

my SSL certificates are from GCP.

Hope you sort it out.

0

@Deoresuyog There is an issue https://youtrack.jetbrains.com/issue/DBE-5439 you can track and vote for.

0

Please sign in to leave a comment.